## visad
Class UnitExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.UnitException
                      visad.UnitExistsException

All Implemented Interfaces:
  Serializable

public final class UnitExistsException
extends UnitException

Provides support for attempting to define a unit with a previously-used identifier.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`UnitExistsException(String id)` Creates an exception from a unit identifier.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitExistsException

    public UnitExistsException(String id)

  Creates an exception from a unit identifier.